using LeedsBeerQuest.API.Data.Contexts;
using LeedsBeerQuest.API.Data.Models;
using Microsoft.AspNetCore.Mvc;
using Microsoft.EntityFrameworkCore;

namespace LeedsBeerQuest.API.Controllers;

[ApiController]
[Route("[controller]")]
public class VenueController
{
    private readonly LeedsBeerQuestDbContext _lbqContext;

    public VenueController(LeedsBeerQuestDbContext lbqContext)
    {
        _lbqContext = lbqContext;
    }

    [HttpGet]
    public async Task<IEnumerable<Venue>> Get()
    {
        return await _lbqContext.Venues
            .Include(v => v.Category)
            .ToListAsync();
    }
}