﻿using LeedsBeerQuest.API.Data.Models;
using LeedsBeerQuest.API.Data.Seed;
using Microsoft.EntityFrameworkCore;

namespace LeedsBeerQuest.API.Data.Contexts;

public class LeedsBeerQuestDbContext : DbContext
{
    public LeedsBeerQuestDbContext()
    {
    }
    
    public DbSet<Venue> Venues { get; set; }
    
    // Don't need to define these, but explicitly adding them makes them a little more discoverable.
    public DbSet<Category> Categories { get; set; }
    public DbSet<Tag> Tags { get; set; }

    protected override void OnConfiguring(DbContextOptionsBuilder options)
        => options.UseSqlite("Data Source=lbq.db");

    protected override void OnModelCreating(ModelBuilder modelBuilder)
    {
        var seeder = new LeedsBeerQuestSeeder(modelBuilder, "");
        seeder.Seed();
    }
}